Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 622480 - sys-apps/portage: add --autounmask-keep-keywords option
Summary: sys-apps/portage: add --autounmask-keep-keywords option
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Enhancement/Feature Requests (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 155723 autounmask 627566
  Show dependency tree
 
Reported: 2017-06-22 16:27 UTC by Zac Medico
Modified: 2018-02-01 23:50 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2017-06-22 16:27:58 UTC
In some cases like bug 622462, emerge suggests mask changes when only USE changes are necessary. I would be nice to have a --autounmask-use-only option so that only USE changes are allowed (--autounmask-keep-masks allows keyword changes that are not necessarily desirable).
Comment 1 Michael 'veremitz' Everitt 2017-06-22 19:33:53 UTC
Patch and pull-request in progress. Just need to finish man page adjustment and write a quick unit test.
https://github.com/mjeveritt/portage/tree/use_only
Comment 2 Zac Medico gentoo-dev 2017-08-12 18:15:50 UTC
Since the first implementation of --autounmask-use-only also allows license changes, it's a misnomer. Instead, I propose a --autounmask-keep-keywords option. Patch set for review:

https://archives.gentoo.org/gentoo-portage-dev/message/73650382127a6a8858f2a4b1343443b6
https://github.com/gentoo/portage/pull/188
Comment 4 Gilles Dartiguelongue gentoo-dev 2017-09-11 12:56:14 UTC
Would it make sense to document an order in which portage should try to change configuration like USE flags (profile, make.conf, command line) and build command line options around that. It seems to me that changes like this are adding more and more options to emerge which kind of obfuscate it.